Merchants - Phone POS

Why can't I find tapXphone application in the Google Play Store?

It is possible that the characteristics of your device do not meet the requirements for installing the Application. Before searching for the Application, make sure that:

  • the device is running Android OS v. 8.0 and higher
  • the device has an imbedded NFC module
  • the location of your Google ID corresponds to your region.

Are you satisfied with the answer?